unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.frm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
Var
  AFileName : TFileName;
  AJPeg     : TJPegImage;
  AStream   : TMemoryStream;
Begin
  OpenDialog1.Filter:='JPEG Images (*.jpg)|*.jpg';
  If OpenDialog1.Execute Then  //  Just a dialog box to select a jpeg image
  Begin
    AFileName:=OpenDialog1.FileName;

    AJPeg := TJPegImage.Create;
    Try
      AJPeg.LoadFromFile(AFileName);

    // ResizeJPeg(AJpeg, 200, 200); <<===== ????????

      AJPeg.Canvas.Line(0,0,100,100);
      AJPeg.Canvas.FillRect(10,10,50,50);

      Image1.Picture.Assign(AJPeg);   //  resized image displays fine here
      AStream := TMemoryStream.Create;
      Try
        AJPeg.SaveToStream(AStream);  //  Here is the error "File not open."
      Finally
        FreeAndNil(AStream);
      End;
    Finally
      FreeAndNil(AJPeg);
    End;
  End;
End;

end.

